Search

Bootstrap 5 Search component

The search box is an UI element prepared for creating search engines. Its most important element is search input, but it can also contain icons or buttons. It is also adjusted to be used in various other components such as navbar, dropdown, table, select, sidenav and many more.


Basic example

A basic example with a simple button.

        
            
      <div class="input-group">
        <div class="form-outline" data-mdb-input-init>
          <input type="search" id="form1" class="form-control" />
          <label class="form-label" for="form1">Search</label>
        </div>
        <button type="button" class="btn btn-primary" data-mdb-ripple-init>
          <i class="fas fa-search"></i>
        </button>
      </div>
      
        
    
        
            
      // Initialization for ES Users
      import { Input, Ripple, initMDB } from "mdb-ui-kit";

      initMDB({ Input, Ripple });
      
        
    

Variations

Search comes with plenty of variations. Choose from the following as needed:

  • Search with icon
  • Search with button
  • Search without additional elements

Search with icon

See all the available icons in the Icons Docs.

        
            
          <div class="input-group rounded">
            <input type="search" class="form-control rounded" placeholder="Search" aria-label="Search" aria-describedby="search-addon" />
            <span class="input-group-text border-0" id="search-addon">
              <i class="fas fa-search"></i>
            </span>
          </div>
          
        
    

Search with button

See all the possible input combinations in the Input Group Docs.

        
            
          <div class="input-group">
            <input type="search" class="form-control rounded" placeholder="Search" aria-label="Search" aria-describedby="search-addon" />
            <button type="button" class="btn btn-outline-primary" data-mdb-ripple-init>search</button>
          </div>
          
        
    
        
            
          // Initialization for ES Users
          import { Ripple, initMDB } from "mdb-ui-kit";

          initMDB({ Ripple });
          
        
    

Search without additional elements

Here is an example of how you can make a search component without any element attached.

        
            
          <div class="form-outline" data-mdb-input-init>
            <input type="search" id="form1" class="form-control" placeholder="Type query" aria-label="Search" />
          </div>
          
        
    
        
            
          // Initialization for ES Users
          import { Input, initMDB } from "mdb-ui-kit";

          initMDB({ Input });
          
        
    

Search event

Here is example how you can make search component with event on it which will fire after clicking on search button.

        
            
        <div class="input-group">
          <div class="form-outline" data-mdb-input-init>
            <input id="search-input" type="search" id="form1" class="form-control" />
            <label class="form-label" for="form1">Search</label>
          </div>
          <button id="search-button" type="button" class="btn btn-primary">
            <i class="fas fa-search"></i>
          </button>
        </div>
        
        
    
        
            
          import { Input, initMDB } from "mdb-ui-kit";

          initMDB({ Input });

          const searchButton = document.getElementById('search-button');
          const searchInput = document.getElementById('search-input');
          searchButton.addEventListener('click', () => {
            const inputValue = searchInput.value;
            alert(inputValue);
          });
        
        
    
        
            
          const searchButton = document.getElementById('search-button');
          const searchInput = document.getElementById('search-input');
          searchButton.addEventListener('click', () => {
            const inputValue = searchInput.value;
            alert(inputValue);
          });
        
        
    

Autocomplete

By adding extra JS code you can make your search input autocomplete as well.

Learn more about Autocomplete in the Autocomplete Docs

        
            
          <div class="input-group">
            <div id="search-autocomplete" class="form-outline" data-mdb-input-init>
              <input type="search" id="form1" class="form-control" />
              <label class="form-label" for="form1">Search</label>
            </div>
            <button type="button" class="btn btn-primary" data-mdb-ripple-init>
              <i class="fas fa-search"></i>
            </button>
          </div>
          
        
    
        
            
          import { Autocomplete, Input, Ripple, initMDB } from "mdb-ui-kit";

          initMDB({ Input, Ripple });

          const basicAutocomplete = document.querySelector('#search-autocomplete');
          const data = ['One', 'Two', 'Three', 'Four', 'Five'];
          const dataFilter = (value) => {
            return data.filter((item) => {
              return item.toLowerCase().startsWith(value.toLowerCase());
            });
          };

          new Autocomplete(basicAutocomplete, {
            filter: dataFilter
          });
          
        
    
        
            
          const basicAutocomplete = document.querySelector('#search-autocomplete');
          const data = ['One', 'Two', 'Three', 'Four', 'Five'];
          const dataFilter = (value) => {
            return data.filter((item) => {
              return item.toLowerCase().startsWith(value.toLowerCase());
            });
          };

          new mdb.Autocomplete(basicAutocomplete, {
            filter: dataFilter
          });
          
        
    

Focus

You can make your input in search component focusable by pressing ctrl + alt shortcut. You are able to easily change combinations of shortcuts by modifing keys array in JS code. For example to change ControlLeft to e key just swap it to KeyE etc.

        
            
        <div class="input-group">
          <div class="form-outline" data-mdb-input-init>
            <input id="search-focus" type="search" id="form1" class="form-control" />
            <label class="form-label" for="form1">Search</label>
          </div>
          <button type="button" class="btn btn-primary" data-mdb-ripple-init>
            <i class="fas fa-search"></i>
          </button>
        </div>
        
        
    
        
            
        import { Input, Ripple, initMDB } from "mdb-ui-kit";

        initMDB({ Input, Ripple });

        const searchFocus = document.getElementById('search-focus');
        const keys = [
          { keyCode: 'AltLeft', isTriggered: false },
          { keyCode: 'ControlLeft', isTriggered: false },
        ];

        window.addEventListener('keydown', (e) => {
          keys.forEach((obj) => {
            if (obj.keyCode === e.code) {
              obj.isTriggered = true;
            }
          });

          const shortcutTriggered = keys.filter((obj) => obj.isTriggered).length === keys.length;

          if (shortcutTriggered) {
            searchFocus.focus();
          }
        });

        window.addEventListener('keyup', (e) => {
          keys.forEach((obj) => {
            if (obj.keyCode === e.code) {
              obj.isTriggered = false;
            }
          });
        });
        
        
    
        
            
        const searchFocus = document.getElementById('search-focus');
        const keys = [
          { keyCode: 'AltLeft', isTriggered: false },
          { keyCode: 'ControlLeft', isTriggered: false },
        ];

        window.addEventListener('keydown', (e) => {
          keys.forEach((obj) => {
            if (obj.keyCode === e.code) {
              obj.isTriggered = true;
            }
          });

          const shortcutTriggered = keys.filter((obj) => obj.isTriggered).length === keys.length;

          if (shortcutTriggered) {
            searchFocus.focus();
          }
        });

        window.addEventListener('keyup', (e) => {
          keys.forEach((obj) => {
            if (obj.keyCode === e.code) {
              obj.isTriggered = false;
            }
          });
        });
        
        
    

Navbar

Search is easily integrated with plenty of our components such as navbar.

Learn more about Navbar in the Navbar Docs

        
            
          <section class="border p-4 mb-4 d-flex align-items-center flex-column">
            <!-- Navbar -->
            <nav class="navbar navbar-expand-lg bg-body-tertiary">
              <!-- Container wrapper -->
              <div class="container-fluid">
                <!-- Navbar brand -->
                <a class="navbar-brand" href="#">Brand</a>

                <!-- Toggle button -->
                <button 
                  class="navbar-toggler" 
                  type="button" 
                  data-mdb-collapse-init
                  data-mdb-target="#navbarSupportedContent" 
                  aria-controls="navbarSupportedContent"
                  aria-expanded="false" 
                  aria-label="Toggle navigation"
                >
                  <i class="fas fa-bars"></i>
                </button>

                <!-- Collapsible wrapper -->
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                  <!-- Left links -->
                  <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item">
                      <a class="nav-link active" aria-current="page" href="#">Home</a>
                    </li>
                    <li class="nav-item">
                      <a class="nav-link" href="#">Link</a>
                    </li>
                    <!-- Navbar dropdown -->
                    <li class="nav-item dropdown">
                      <a 
                        class="nav-link dropdown-toggle" 
                        href="#" 
                        id="navbarDropdown" 
                        role="button"
                        data-mdb-dropdown-init 
                        aria-expanded="false"
                      >
                        Dropdown
                      </a>
                      <!-- Dropdown menu -->
                      <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="#">Action</a></li>
                        <li><a class="dropdown-item" href="#">Another action</a></li>
                        <li><hr class="dropdown-divider" /></li>
                        <li><a class="dropdown-item" href="#">Something else here</a></li>
                      </ul>
                    </li>
                    <li class="nav-item">
                      <a class="nav-link disabled" href="#" tabindex="-1" aria-disabled="true">Disabled</a>
                    </li>
                  </ul>
                  <!-- Left links -->

                  <!-- Search form -->
                  <div class="input-group ps-5">
                    <div id="navbar-search-autocomplete" class="form-outline" data-mdb-input-init>
                      <input type="search" id="form1" class="form-control" />
                      <label class="form-label" for="form1">Search</label>
                    </div>
                    <button type="button" class="btn btn-primary" data-mdb-ripple-init>
                      <i class="fas fa-search"></i>
                    </button>
                  </div>
                </div>
                <!-- Collapsible wrapper -->
              </div>
              <!-- Container wrapper -->
            </nav>
            <!-- Navbar -->
          </section>
        
        
    
        
            
        import { Autocomplete, Collapse, Dropdown, Input, Ripple, initMDB } from "mdb-ui-kit";

        initMDB({ Collapse, Dropdown, Input, Ripple });

        const navbarAutocomplete = document.querySelector('#navbar-search-autocomplete');
        const navbarData = ['One', 'Two', 'Three', 'Four', 'Five'];
        const navbarDataFilter = (value) => {
          return navbarData.filter((item) => {
            return item.toLowerCase().startsWith(value.toLowerCase());
          });
        };

        new Autocomplete(navbarAutocomplete, {
          filter: navbarDataFilter,
        });
        
        
    
        
            
        const navbarAutocomplete = document.querySelector('#navbar-search-autocomplete');
        const navbarData = ['One', 'Two', 'Three', 'Four', 'Five'];
        const navbarDataFilter = (value) => {
          return navbarData.filter((item) => {
            return item.toLowerCase().startsWith(value.toLowerCase());
          });
        };

        new mdb.Autocomplete(navbarAutocomplete, {
          filter: navbarDataFilter,
        });
        
        
    

Dropdown

Moreover, you can integrate our search with dropdown component.

Learn more about Dropdowns in the Dropdowns Docs

        
            
      <a 
        class="dropdown-toggle hidden-arrow btn btn-primary"
        href="#"
        id="navbarDropdownMenuLink"
        role="button"
        data-mdb-dropdown-init
        data-mdb-ripple-init
        aria-expanded="false"
      >
        dropdown
      </a>
      <ul class="dropdown-menu dropdown-menu-left" aria-labelledby="navbarDropdownMenuLink">
        <li>
          <div class="input-group mt-2 mx-2">
            <div class="form-outline w-auto" data-mdb-input-init>
              <input type="search" id="search-input-dropdown" class="form-control" />
              <label class="form-label" for="search-input-dropdown">Search</label>
            </div>
          </div>
        </li>
        <li><hr class="dropdown-divider" /></li>
        <li><a class="dropdown-item" href="#">Action</a></li>
        <li><a class="dropdown-item" href="#">Another action</a></li>
        <li><a class="dropdown-item" href="#">Something else here</a></li>
      </ul>
      
        
    
        
            
      import { Dropdown, Input, Ripple, initMDB } from "mdb-ui-kit";

      initMDB({ Dropdown, Input, Ripple });

      const searchInputDropdown = document.getElementById('search-input-dropdown');
      const dropdownOptions = document.querySelectorAll('.input-group-dropdown-item');

      searchInputDropdown.addEventListener('input', () => {
        const filter = searchInputDropdown.value.toLowerCase();
        showOptions();
        const valueExist = !!filter.length;

        if (valueExist) {
          dropdownOptions.forEach((el) => {
            const elText = el.textContent.trim().toLowerCase();
            const isIncluded = elText.includes(filter);
            if (!isIncluded) {
              el.style.display = 'none';
            }
          });
        }
      });

      const showOptions = () => {
        dropdownOptions.forEach((el) => {
          el.style.display = 'flex';
        })
      }
      
        
    
        
            
      const searchInputDropdown = document.getElementById('search-input-dropdown');
      const dropdownOptions = document.querySelectorAll('.input-group-dropdown-item');

      searchInputDropdown.addEventListener('input', () => {
        const filter = searchInputDropdown.value.toLowerCase();
        showOptions();
        const valueExist = !!filter.length;

        if (valueExist) {
          dropdownOptions.forEach((el) => {
            const elText = el.textContent.trim().toLowerCase();
            const isIncluded = elText.includes(filter);
            if (!isIncluded) {
              el.style.display = 'none';
            }
          });
        }
      });

      const showOptions = () => {
        dropdownOptions.forEach((el) => {
          el.style.display = 'flex';
        })
      }
      
        
    

Datatable

It works perfectly with MDB datatables.

Learn more about Datatables in the Datatables Docs

        
            
          <div class="form-outline mb-4" data-mdb-input-init>
            <input type="search" class="form-control" id="datatable-search-input">
            <label class="form-label" for="datatable-search-input">Search</label>
          </div>
          <div id="datatable">
          </div>
          
        
    
        
            
          import { Datatable, Input, initMDB } from "mdb-ui-kit";

          initMDB({ Input });

          const data2 = {
            columns: ['Name', 'Position', 'Office', 'Age', 'Start date', 'Salary'],
            rows: [
              ['Tiger Nixon', 'System Architect', '	Edinburgh', 61, '2011/04/25', '$320,800'],
              ['Sonya Frost', 'Software Engineer', 'Edinburgh', 23, '2008/12/13', '$103,600'],
              ['Jena Gaines', 'Office Manager', 'London', 30, '2008/12/19', '$90,560'],
              ['Quinn Flynn', 'Support Lead', 'Edinburgh', 22, '2013/03/03', '$342,000'],
              ['Charde Marshall', 'Regional Director', 'San Francisco', 36, '2008/10/16', '$470,600'],
              ['Haley Kennedy', 'Senior Marketing Designer', 'London', 43, '2012/12/18', '$313,500'],
              ['Tatyana Fitzpatrick', 'Regional Director', 'London', 19, '2010/03/17', '$385,750'],
              ['Michael Silva', 'Marketing Designer', 'London', 66, '2012/11/27', '$198,500'],
              ['Paul Byrd', 'Chief Financial Officer (CFO)', 'New York', 64, '2010/06/09', '$725,000'],
              ['Gloria Little', 'Systems Administrator', 'New York', 59, '2009/04/10', '$237,500'],
            ],
          };

          const instance = new Datatable(document.getElementById('datatable'), data2)

          document.getElementById('datatable-search-input').addEventListener('input', (e) => {
            instance.input-group(e.target.value);
          });
          
        
    
        
            
          const data2 = {
            columns: ['Name', 'Position', 'Office', 'Age', 'Start date', 'Salary'],
            rows: [
              ['Tiger Nixon', 'System Architect', '	Edinburgh', 61, '2011/04/25', '$320,800'],
              ['Sonya Frost', 'Software Engineer', 'Edinburgh', 23, '2008/12/13', '$103,600'],
              ['Jena Gaines', 'Office Manager', 'London', 30, '2008/12/19', '$90,560'],
              ['Quinn Flynn', 'Support Lead', 'Edinburgh', 22, '2013/03/03', '$342,000'],
              ['Charde Marshall', 'Regional Director', 'San Francisco', 36, '2008/10/16', '$470,600'],
              ['Haley Kennedy', 'Senior Marketing Designer', 'London', 43, '2012/12/18', '$313,500'],
              ['Tatyana Fitzpatrick', 'Regional Director', 'London', 19, '2010/03/17', '$385,750'],
              ['Michael Silva', 'Marketing Designer', 'London', 66, '2012/11/27', '$198,500'],
              ['Paul Byrd', 'Chief Financial Officer (CFO)', 'New York', 64, '2010/06/09', '$725,000'],
              ['Gloria Little', 'Systems Administrator', 'New York', 59, '2009/04/10', '$237,500'],
            ],
          };

          const instance = new mdb.Datatable(document.getElementById('datatable'), data2)

          document.getElementById('datatable-search-input').addEventListener('input', (e) => {
            instance.input-group(e.target.value);
          });
          
        
    

Select

You can also find search option in select input by adding to select attribute data-mdb-filter="true"

Learn more about Select in the Select Docs

        
            
          <select data-mdb-select-init data-mdb-filter="true">
            <option value="1">One</option>
            <option value="2">Two</option>
            <option value="3">Three</option>
            <option value="4">Four</option>
            <option value="5">Five</option>
            <option value="6">Six</option>
            <option value="7">Seven</option>
            <option value="8">Eight</option>
            <option value="9">Nine</option>
            <option value="10">Ten</option>
          </select>
          
        
    
        
            
          // Initialization for ES Users
          import { Select, initMDB } from "mdb-ui-kit";

          initMDB({ Select });
          
        
    

Sidenav

You can create your own search in sidenav. Look in to example below.

Learn more about Sidenav in the Sidenav Docs

        
            
                <!-- Sidenav-->
                <div 
                  id="sidenav-3"
                  data-mdb-close-on-esc="false"
                  class="sidenav"
                  data-mdb-sidenav-init
                  data-mdb-hidden="false"
                  data-mdb-position="absolute"
                  data-mdb-focus-trap="false"
                  data-mdb-scroll-container="#scroll-container"
                  role="navigation"
                >
                  <div class="text-center">
                    <h3 class="py-4">Examples</h3>
                    <hr class="m-0" />
                  </div>
                  <ul id="scroll-container" class="sidenav-menu">
                    <li class="sidenav-item">
                      <div class="input-group rounded my-2">
                        <div class="form-outline w-auto" data-mdb-input-init>
                          <input id="search-input-sidenav" type="search" id="form1" class="form-control" />
                          <label class="form-label" for="form1">Search</label>
                        </div>
                      </div>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link">
                        <i class="far fa-smile pe-3"></i><span>Link 1</span>
                      </a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link">
                        <i class="far fa-smile pe-3"></i><span>Link 2</span>
                      </a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link">
                        <i class="far fa-smile pe-3"></i><span>Link 3</span>
                      </a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link">
                        <i class="far fa-smile pe-3"></i><span>Link 4</span>
                      </a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link">
                        <i class="far fa-smile pe-3"></i><span>Link 5</span>
                      </a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link">
                        <i class="far fa-smile pe-3"></i><span>Link 6</span>
                      </a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link">
                        <i class="far fa-smile pe-3"></i><span>Link 7</span>
                      </a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link">
                        <i class="far fa-smile pe-3"></i><span>Link 8</span>
                      </a>
                    </li>
                  </ul>

                  <div class="text-center" style="min-height: 3rem;">
                    <hr class="mt-0 mb-2" />
                    <small>mdbootstrap.com</small>
                  </div>
                </div>

                <!-- Sidenav-->
                
        
    
        
            
                import { Input, Sidenav, initMDB } from "mdb-ui-kit";
                
                initMDB({ Input, Sidenav });

                const searchInputSidenav = document.getElementById('search-input-sidenav');
                const sidenavOptions = document.querySelectorAll('#sidenav-3 li .sidenav-link');

                searchInputSidenav.addEventListener('input', () => {
                  const filter = searchInputSidenav.value.toLowerCase();
                  showSidenavOptions();
                  const valueExist = !!filter.length;

                  if (valueExist) {
                    sidenavOptions.forEach((el) => {
                      const elText = el.textContent.trim().toLowerCase();
                      const isIncluded = elText.includes(filter);
                      if (!isIncluded) {
                        el.style.display = 'none';
                      }
                    });
                  }
                });

                const showSidenavOptions = () => {
                  sidenavOptions.forEach((el) => {
                    el.style.display = 'flex';
                  });
                };
                
        
    
        
            
                const searchInputSidenav = document.getElementById('search-input-sidenav');
                const sidenavOptions = document.querySelectorAll('#sidenav-3 li .sidenav-link');

                searchInputSidenav.addEventListener('input', () => {
                  const filter = searchInputSidenav.value.toLowerCase();
                  showSidenavOptions();
                  const valueExist = !!filter.length;

                  if (valueExist) {
                    sidenavOptions.forEach((el) => {
                      const elText = el.textContent.trim().toLowerCase();
                      const isIncluded = elText.includes(filter);
                      if (!isIncluded) {
                        el.style.display = 'none';
                      }
                    });
                  }
                });

                const showSidenavOptions = () => {
                  sidenavOptions.forEach((el) => {
                    el.style.display = 'flex';
                  });
                };
              
        
    

GET

UP TO 98% OFF

Check out our bundles and get up to 98% off PRO components.

Search

Angular Bootstrap 5 Search component

The search box is an UI element prepared for creating search engines. Its most important element is search input, but it can also contain icons or buttons. It is also adjusted to be used in various other components such as navbar, dropdown, table, select, sidenav and many more.


Basic example

A basic example with a simple button.

        
            
      <div class="input-group">
        <mdb-form-control>
          <input mdbInput type="search" id="form1" class="form-control" />
          <label mdbLabel class="form-label" for="form1">Search</label>
        </mdb-form-control>
        <button type="button" class="btn btn-primary">
          <i class="fas fa-search"></i>
        </button>
      </div>
      
        
    

Search event

Here is example how you can make search component with event on it which will fire after clicking on search button.

        
            
      <div class="input-group">
        <mdb-form-control>
          <input #input mdbInput type="search" id="form1" class="form-control" />
          <label mdbLabel class="form-label" for="form1">Search</label>
        </mdb-form-control>
        <button type="button" class="btn btn-primary" (click)="search(input.value)">
          <i class="fas fa-search"></i>
        </button>
      </div>
      
        
    
        
            
      import { Component } from '@angular/core';

      @Component({
        selector: 'app-root',
        templateUrl: './app.component.html',
        styleUrls: ['./app.component.scss']
      })
      export class AppComponent {
        title = 'mdb-angular-ui-kit-free';
        
        search(value: string) {
          console.log(value);
        }
      }
      
        
    

Dropdown

Moreover, you can integrate our search with dropdown component

Learn more about Dropdowns in the Dropdowns Docs

        
            
      <div mdbDropdown class="dropdown">
        <button
          class="btn btn-primary dropdown-toggle"
          type="button"
          id="dropdownMenuButton"
          aria-expanded="false"
          mdbDropdownToggle
        >
          Dropdown
        </button>
        <ul
          mdbDropdownMenu
          class="dropdown-menu"
          aria-labelledby="dropdownMenuButton"
        >
          <div class="input-group">
            <mdb-form-control>
              <input
                mdbInput
                (keydown)="searchItems($event)"
                type="search"
                id="form1"
                class="form-control"
              />
              <label mdbLabel class="form-label" for="form1">Search</label>
            </mdb-form-control>
            <button type="button" class="btn btn-primary">
              <i class="fas fa-search"></i>
            </button>
          </div>
          <li *ngFor="let item of filteredItems">
            <a class="dropdown-item" href="#">{{ item }}</a>
          </li>
        </ul>
      </div>
      
        
    
        
            
      import { Component } from '@angular/core';

      @Component({
        selector: 'app-root',
        templateUrl: './app.component.html',
        styleUrls: ['./app.component.scss']
      })
      export class AppComponent {
        title = 'mdb-angular-ui-kit-free';
        
        items = ['Action', 'Another action', 'Something else here'];
        filteredItems = this.items;
          
        searchItems(event: any) {
          const value = event.target.value;
      
          this.filterItems(value);
        }
      
        filterItems(value: string) {
          const filterValue = value.toLowerCase();
          this.filteredItems = this.items.filter((item: string) =>
            item.toLowerCase().includes(filterValue)
          );
        }
      }
      
      
        
    

GET

UP TO 98% OFF

Check out our bundles and get up to 98% off PRO components.

React Bootstrap Search
React Search - Bootstrap 4 & Material Design.
Bootstrap search is a component which enables a process of finding words, sentences, and numbers in the collection of documents, web pages or other sources.
It can be implemented with buttons or icons and placed as an input or in navbar for even better user experience.
Basic example
import React from "react";
import { MDBInput, MDBCol } from "mdbreact";
const SearchPage = () => {
return (
<MDBCol md="6">
<MDBInput hint="Search" type="text" containerClass="mt-0" />
</MDBCol>
);
}
export default SearchPage;
import React from "react";
import { MDBCol } from "mdbreact";
const SearchPage = () => {
return (
<MDBCol md="6">
<input className="form-control" type="text" placeholder="Search" aria-label="Search" />
</MDBCol>
);
}
export default SearchPage;
Search with colorful border
import React from "react";
import { MDBCol, MDBInput } from "mdbreact";
const SearchPage = () => {
return (
<MDBCol md="6">
<MDBInput hint="Search" type="text" containerClass="active-pink active-pink-2 mt-0 mb-3" />
</MDBCol>
);
}
export default SearchPage;
.active-pink-2 input[type="text"]:focus:not([readonly]) {
border-bottom: 1px solid #f48fb1;
box-shadow: 0 1px 0 0 #f48fb1;
}
import React from "react";
import { MDBCol } from "mdbreact";
const SearchPage = () => {
return (
<MDBCol md="6">
<div className="active-pink-3 active-pink-4 mb-4">
<input className="form-control" type="text" placeholder="Search" aria-label="Search" />
</div>
</MDBCol>
);
}
export default SearchPage;
.active-pink-4 input[type="text"]:focus:not([readonly]) {
border: 1px solid #f48fb1;
box-shadow: 0 0 0 1px #f48fb1;
}
.active-pink-3 input[type="text"] {
border: 1px solid #f48fb1;
box-shadow: 0 0 0 1px #f48fb1;
}
Search with icon
import React from "react";
import { MDBCol, MDBFormInline, MDBIcon } from "mdbreact";
const SearchPage = () => {
return (
<MDBCol md="6">
<MDBFormInline className="md-form">
<MDBIcon icon="search" />
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</MDBFormInline>
</MDBCol>
);
}
export default SearchPage;
import React from "react";
import { MDBCol, MDBIcon } from "mdbreact";
const SearchPage = () => {
return (
<MDBCol md="6">
<form className="form-inline mt-4 mb-4">
<MDBIcon icon="search" />
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</form>
</MDBCol>
);
}
export default SearchPage;
Search with input group
import React from "react";
import { MDBCol, MDBIcon } from "mdbreact";
const SearchPage = () => {
return (
<MDBCol md="6">
<div className="input-group md-form form-sm form-1 pl-0">
<div className="input-group-prepend">
<span className="input-group-text purple lighten-3" id="basic-text1">
<MDBIcon className="text-white" icon="search" />
</span>
</div>
<input className="form-control my-0 py-1" type="text" placeholder="Search" aria-label="Search" />
</div>
</MDBCol>
);
}
export default SearchPage;
.input-group.md-form.form-sm.form-1 input {
border: 1px solid #bdbdbd;
border-top-right-radius: 0.25rem;
border-bottom-right-radius: 0.25rem;
}
Search within select MDB Pro component
import React, { Component } from "react";
import { MDBCol, MDBSelectInput, MDBSelect, MDBSelectOptions, MDBSelectOption } from "mdbreact";
class SearchPage extends Component {
getValueOfSelectOne = value => {
console.log(value);
}
render() {
return (
<MDBCol md="6">
<MDBSelect getValue={value=> this.getValueOfSelectOne(value)}>
<MDBSelectInput selected="Choose your option" />
<MDBSelectOptions search>
<MDBSelectOption disabled>Choose your option</MDBSelectOption>
<MDBSelectOption>Option nr 1</MDBSelectOption>
<MDBSelectOption>Option nr 2</MDBSelectOption>
<MDBSelectOption>Option nr 3</MDBSelectOption>
<MDBSelectOption>Option nr 4</MDBSelectOption>
<MDBSelectOption>Option nr 5</MDBSelectOption>
</MDBSelectOptions>
</MDBSelect>
</MDBCol>
);
}
}
export default SearchPage;
Search within multiselect MDB Pro component
import React, { Component } from "react";
import { MDBCol, MDBSelectInput, MDBSelect, MDBSelectOptions, MDBSelectOption } from "mdbreact";
class SearchPage extends Component {
getValueOfSelectOne = value => {
console.log(value);
}
render() {
return (
<MDBCol md="6">
<MDBSelect multiple getValue={value=> this.getValueOfSelectOne(value)}>
<MDBSelectInput selected="Choose your option" />
<MDBSelectOptions search>
<MDBSelectOption disabled>Choose your option</MDBSelectOption>
<MDBSelectOption>Option nr 1</MDBSelectOption>
<MDBSelectOption>Option nr 2</MDBSelectOption>
<MDBSelectOption>Option nr 3</MDBSelectOption>
<MDBSelectOption>Option nr 4</MDBSelectOption>
<MDBSelectOption>Option nr 5</MDBSelectOption>
</MDBSelectOptions>
</MDBSelect>
</MDBCol>
);
}
}
export default SearchPage;
Search - API
In this section you will find advanced information about the React Search component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use to work with it.
Import statement
In order to use Search component make sure you have imported proper module first.
import React from 'react';
import { MDBInput } from 'mdbreact';
API Reference: Properties
The table below shows the configuration options of the MDBInput component.
Name | Type | Default | Description | Example |
---|---|---|---|---|
checked |
Boolean | false |
Pre-selects checkbox/radio button when the page loads. | <MDBInput checked /> |
className |
String | Adds custom class to Input component | <MDBInput className="myClass" /> |
|
containerClass |
String | Adds custom class to wrapping div | <MDBInput containerClass="wrapper" /> |
|
disabled |
Boolean | false |
Disables input component | <MDBInput disabled /> |
error |
String | Sets the error message for the labels data-error attribute |
<MDBInput error="Whoops!" /> |
|
filled |
Boolean | false |
Add filled-in style to checkbox/radio button | <MDBInput type="checkbox" filled /> |
gap |
Boolean | false |
Creates gap inside checkbox/radio button | <MDBInput type="checkbox" gap /> |
group |
Boolean | false |
Add .form-group class to the wrapping div | <MDBInput group /> |
hint |
String | Sets the placeholder for the Input | <MDBInput hint="Placeholder" /> |
|
icon |
String |
|
Adds font-awesome icon |
<MDBInput icon="caret-right" />
|
iconBrand |
Boolean | false |
Use this property to set brand icon (fab ) |
<MDBInput icon="twitter" iconBrand />
|
iconClassName |
String |
|
Adds custom classes to icon element |
<MDBInput icon="envelope" iconClassName="customClass" />
|
iconLight |
Boolean | false |
Use this property to set light icon (fal ) |
<MDBInput icon="twitter" iconLight />
|
iconRegular |
Boolean | false |
Use this property to set regular icon (far ) |
<MDBInput icon="twitter" iconRegular />
|
iconSize |
String |
|
Sets icon size |
<MDBInput icon="pencil-alt" size="5x" />
|
id |
String | Required! Set the id of the input element | <MDBInput id="myId" /> |
|
inputRef |
Function | Allows to attach React Ref to the input component; accepts only Callback Ref | <MDBInput inputRef={ref => this.myRef = ref } /> |
|
label |
String | Add label to the component; you can attach jsx elements (f.e. links) | <MDBInput label="My custom input" /> |
|
labelClass |
String | Adds custom class to the label | <MDBInput labelClass="labelCustomClass" /> |
|
size |
String | Changes size of the component; available lg and sm |
<MDBInput size="sm" /> |
|
success |
String | Sets the success message for the labels data-success attribute |
<MDBInput success="Yeah!" /> |
|
tag |
String | input |
Changes default input tag | <MDBInput tag="div" /> |
type |
String | text |
The type of the input element | <MDBInput type="checkbox" /> |
validate |
Boolean | false |
Adds .validate class to the Input component | <MDBInput validate /> |
value |
String | The value of the input element (use with the controlled input) | <MDBInput value="I am controlled" onChange={this.handleChange} /> |
|
valueDefault |
String | The default value of the input (use with the uncontrolled input) | <MDBInput valueDefault="I am uncontrolled" /> |
API Reference: Methods
The table below shows the methods which you can use with MDBInput component.
Name | Parameters | Description | Example |
---|---|---|---|
getValue |
Method called on input change event; returns input value | <MDBInput getValue={this.getValue} /> |
|
onBlur |
Method called on blur event, the blur event is raised when an element loses focus; returns event object | <MDBInput onBlur={this.handleBlur} /> |
|
onChange |
Method called on change event; returns event object | <MDBInput onChange={this.handleChange} /> |
|
onFocus |
Method called on focus event, the focus event is raised when the user sets focus on en element; returns event object | <MDBInput onFocus={this.handleFocus} /> |
|
onInput |
Method called on input event; returns event object | <MDBInput onInput={this.handleInput} /> |
React Search - examples & customization
Quickly get a project started with any of our examples.
Example usage of search
Example above presents simple implementation of searchable list of elements inside modal.
import React from "react";
import { MDBInput, MDBModal, MDBModalBody, MDBModalHeader, MDBModalFooter, MDBBtn, MDBListGroup, MDBListGroupItem } from "mdbreact";
import countries from "./countries";
class SearchPage extends React.Component {
state = {
dataSet: countries,
filteredSet: countries,
searchValue: "",
modalOpen: false
}
handleSearch = event => this.setState({ searchValue: event.target.value }, () => this.searchForCountry());
searchForCountry = () => {
this.setState(prevState => {
const filteredSet = prevState.dataSet.filter(item => item.toLowerCase().match(this.state.searchValue.toLowerCase()));
return { filteredSet };
});
}
toggleModal = () => this.setState({ modalOpen: !this.state.modalOpen });
render() {
return (
<div>
<MDBBtn onClick={this.toggleModal}>Click to open search modal</MDBBtn>
<MDBModal isOpen={this.state.modalOpen} toggle={this.toggleModal} backdrop={false} size="sm" side position="top-right">
<MDBModalHeader toggle={this.toggleModal}>Modal title</MDBModalHeader>
<MDBModalBody>
<MDBInput value={this.state.searchValue} onChange={this.handleSearch} hint="Search for country" type="text" containerClass="mt-0" />
<MDBListGroup>
{
this.state.filteredSet.map(item => (
<MDBListGroupItem key={item}>{item}</MDBListGroupItem>
))
}
</MDBListGroup>
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" onClick={this.toggleModal}>Close</MDBBtn>
</MDBModalFooter>
</MDBModal>
</div>
);
}
}
export default SearchPage;
const countries = [
"Afghanistan",
"Albania",
"Algeria",
"Andorra",
"Angola",
"Antigua and Barbuda",
"Argentina",
"Armenia",
"Australia",
"Austria",
"Azerbaijan",
"Bahamas",
"Bahrain",
"Bangladesh",
"Barbados",
"Belarus",
"Belgium",
"Belize",
"Benin",
"Bhutan",
"Bolivia",
"Bosnia and Herzegovina",
"Botswana",
"Brazil",
"Brunei",
"Bulgaria",
"Burkina Faso",
"Burundi",
"Cabo Verde",
"Cambodia",
"Cameroon",
"Canada",
"Central African Republic (CAR)",
"Chad",
"Chile",
"China",
"Colombia",
"Comoros",
"Costa Rica",
"Cote d'Ivoire",
"Croatia",
"Cuba",
"Cyprus",
"Czech Republic",
"Denmark",
"Djibouti",
"Dominica",
"Dominican Republic",
"Ecuador",
"Egypt",
"El Salvador",
"Equatorial Guinea",
"Eritrea",
"Estonia",
"Ethiopia",
"Fiji",
"Finland",
"France",
"Gabon",
"Gambia",
"Georgia",
"Germany",
"Ghana",
"Greece",
"Grenada",
"Guatemala",
"Guinea",
"Guinea-Bissau",
"Guyana",
"Haiti",
"Honduras",
"Hungary",
"Iceland",
"India",
"Indonesia",
"Iran",
"Iraq",
"Ireland",
"Israel",
"Italy",
"Jamaica",
"Japan",
"Jordan",
"Kazakhstan",
"Kenya",
"Kiribati",
"Kosovo",
"Kuwait",
"Kyrgyzstan",
"Laos",
"Latvia",
"Lebanon",
"Lesotho",
"Liberia",
"Libya",
"Liechtenstein",
"Lithuania",
"Luxembourg",
"Macedonia (FYROM)",
"Madagascar",
"Malawi",
"Malaysia",
"Maldives",
"Mali",
"Malta",
"Marshall Islands",
"Mauritania",
"Mauritius",
"Mexico",
"Micronesia",
"Moldova",
"Monaco",
"Mongolia",
"Montenegro",
"Morocco",
"Mozambique",
"Myanmar (Burma)",
"Namibia",
"Nauru",
"Nepal",
"Netherlands",
"New Zealand",
"Nicaragua",
"Niger",
"Nigeria",
"North Korea",
"Norway",
"Oman",
"Pakistan",
"Palau",
"Palestine",
"Panama",
"Papua New Guinea",
"Paraguay",
"Peru",
"Philippines",
"Poland",
"Portugal",
"Qatar",
"Romania",
"Russia",
"Rwanda",
"Saint Kitts and Nevis",
"Saint Lucia",
"Saint Vincent and the Grenadines",
"Samoa",
"San Marino",
"Sao Tome and Principe",
"Saudi Arabia",
"Senegal",
"Serbia",
"Seychelles",
"Sierra Leone",
"Singapore",
"Slovakia",
"Slovenia",
"Solomon Islands",
"Somalia",
"South Africa",
"South Korea",
"South Sudan",
"Spain",
"Sri Lanka",
"Sudan",
"Suriname",
"Swaziland",
"Sweden",
"Switzerland",
"Syria",
"Taiwan",
"Tajikistan",
"Tanzania",
"Thailand",
"Timor-Leste",
"Togo",
"Tonga",
"Trinidad and Tobago",
"Tunisia",
"Turkey",
"Turkmenistan",
"Tuvalu",
"Uganda",
"Ukraine",
"United Arab Emirates (UAE)",
"United Kingdom (UK)",
"United States of America (USA)",
"Uruguay",
"Uzbekistan",
"Vanuatu",
"Vatican City (Holy See)",
"Venezuela",
"Vietnam",
"Yemen",
"Zambia",
"Zimbabwe"
];
export default countries;
Search with colorful border
import React from "react";
import { MDBInput, MDBContainer } from "mdbreact";
import "./index.css"
const SearchPage = () => {
return (
<MDBContainer>
<MDBInput hint="Search" type="text" containerClass="active-pink active-pink-2 mt-0 mb-3" />
<MDBInput hint="Search" type="text" containerClass="active-purple active-purple-2 mt-0 mb-3" />
<MDBInput hint="Search" type="text" containerClass="active-cyan active-cyan-2 mt-0 mb-3" />
<MDBInput hint="Search" type="text" containerClass="active-pink-2 mt-0 mb-3" />
<MDBInput hint="Search" type="text" containerClass="active-purple-2 mt-0 mb-3" />
<MDBInput hint="Search" type="text" containerClass="active-cyan-2 active-purple-2 mt-0 mb-3" />
<div className="active-pink-3 active-pink-4 mb-3">
<input className="form-control" type="text" placeholder="Search" aria-label="Search" />
</div>
<div className="active-purple-3 active-purple-4 mb-3">
<input className="form-control" type="text" placeholder="Search" aria-label="Search" />
</div>
<div className="active-cyan-3 active-cyan-4 mb-3">
<input className="form-control" type="text" placeholder="Search" aria-label="Search" />
</div>
<div className="active-pink-4 mb-3">
<input className="form-control" type="text" placeholder="Search" aria-label="Search" />
</div>
<div className="active-purple-4 mb-3">
<input className="form-control" type="text" placeholder="Search" aria-label="Search" />
</div>
<div className="active-cyan-4 mb-3">
<input className="form-control" type="text" placeholder="Search" aria-label="Search" />
</div>
</MDBContainer>
);
}
export default SearchPage;
.active-pink input[type=text] {
border-bottom: 1px solid #f48fb1;
box-shadow: 0 1px 0 0 #f48fb1;
}
.active-purple-2 input[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #ce93d8;
box-shadow: 0 1px 0 0 #ce93d8;
}
.active-purple input[type=text] {
border-bottom: 1px solid #ce93d8;
box-shadow: 0 1px 0 0 #ce93d8;
}
.active-cyan-2 input[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #4dd0e1;
box-shadow: 0 1px 0 0 #4dd0e1;
}
.active-cyan input[type=text] {
border-bottom: 1px solid #4dd0e1;
box-shadow: 0 1px 0 0 #4dd0e1;
}
.active-pink-4 input[type=text]:focus:not([readonly]) {
border: 1px solid #f48fb1;
box-shadow: 0 0 0 1px #f48fb1;
}
.active-pink-3 input[type=text] {
border: 1px solid #f48fb1;
box-shadow: 0 0 0 1px #f48fb1;
}
.active-purple-4 input[type=text]:focus:not([readonly]) {
border: 1px solid #ce93d8;
box-shadow: 0 0 0 1px #ce93d8;
}
.active-purple-3 input[type=text] {
border: 1px solid #ce93d8;
box-shadow: 0 0 0 1px #ce93d8;
}
.active-cyan-4 input[type=text]:focus:not([readonly]) {
border: 1px solid #4dd0e1;
box-shadow: 0 0 0 1px #4dd0e1;
}
.active-cyan-3 input[type=text] {
border: 1px solid #4dd0e1;
box-shadow: 0 0 0 1px #4dd0e1;
}
Search with icon
import React from "react";
import { MDBContainer, MDBFormInline, MDBIcon } from "mdbreact";
import "./index.css"
const SearchPage = () => {
return (
<MDBContainer>
<MDBFormInline className="md-form">
<MDBIcon icon="search" />
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</MDBFormInline>
<MDBFormInline className="md-form active-pink active-pink-2">
<MDBIcon icon="search" />
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</MDBFormInline>
<MDBFormInline className="md-form active-purple active-purple-2">
<MDBIcon icon="search" />
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</MDBFormInline>
<MDBFormInline className="md-form active-cyan active-cyan-2 ">
<MDBIcon icon="search" />
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</MDBFormInline>
<MDBFormInline className="md-form active-pink-2">
<input className="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search" aria-label="Search" />
<MDBIcon icon="search" />
</MDBFormInline>
<MDBFormInline className="md-form active-purple-2">
<input className="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search" aria-label="Search" />
<MDBIcon icon="search" />
</MDBFormInline>
<MDBFormInline className="md-form active-cyan-2 ">
<input className="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search" aria-label="Search" />
<MDBIcon icon="search" />
</MDBFormInline>
<form className="form-inline mt-4 mb-4">
<i className="fa fa-search" aria-hidden="true"></i>
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</form>
<form className="form-inline active-pink-3 active-pink-4 mb-4">
<i className="fa fa-search" aria-hidden="true"></i>
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</form>
<form className="form-inline active-purple-3 active-purple-4 mb-4">
<i className="fa fa-search" aria-hidden="true"></i>
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</form>
<form className="form-inline active-cyan-3 active-cyan-4 mb-4">
<i className="fa fa-search" aria-hidden="true"></i>
<input className="form-control form-control-sm ml-3 w-75" type="text" placeholder="Search" aria-label="Search" />
</form>
<form className="form-inline mb-4">
<input className="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search" aria-label="Search" />
<i className="fa fa-search" aria-hidden="true"></i>
</form>
<form className="form-inline active-pink-4 mb-4">
<input className="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search" aria-label="Search" />
<i className="fa fa-search" aria-hidden="true"></i>
</form>
<form className="form-inline active-purple-4 mb-4">
<input className="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search" aria-label="Search" />
<i className="fa fa-search" aria-hidden="true"></i>
</form>
<form className="form-inline active-cyan-4 mb-4">
<input className="form-control form-control-sm mr-3 w-75" type="text" placeholder="Search" aria-label="Search" />
<i className="fa fa-search" aria-hidden="true"></i>
</form>
</MDBContainer>
);
}
export default SearchPage;
.active-pink-2 input[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #f48fb1;
box-shadow: 0 1px 0 0 #f48fb1;
}
.active-pink input[type=text] {
border-bottom: 1px solid #f48fb1;
box-shadow: 0 1px 0 0 #f48fb1;
}
.active-purple-2 input[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #ce93d8;
box-shadow: 0 1px 0 0 #ce93d8;
}
.active-purple input[type=text] {
border-bottom: 1px solid #ce93d8;
box-shadow: 0 1px 0 0 #ce93d8;
}
.active-cyan-2 input[type=text]:focus:not([readonly]) {
border-bottom: 1px solid #4dd0e1;
box-shadow: 0 1px 0 0 #4dd0e1;
}
.active-cyan input[type=text] {
border-bottom: 1px solid #4dd0e1;
box-shadow: 0 1px 0 0 #4dd0e1;
}
.active-cyan .fa, .active-cyan-2 .fa {
color: #4dd0e1;
}
.active-purple .fa, .active-purple-2 .fa {
color: #ce93d8;
}
.active-pink .fa, .active-pink-2 .fa {
color: #f48fb1;
}
.active-pink-4 input[type=text]:focus:not([readonly]) {
border: 1px solid #f48fb1;
box-shadow: 0 0 0 1px #f48fb1;
}
.active-pink-3 input[type=text] {
border: 1px solid #f48fb1;
box-shadow: 0 0 0 1px #f48fb1;
}
.active-purple-4 input[type=text]:focus:not([readonly]) {
border: 1px solid #ce93d8;
box-shadow: 0 0 0 1px #ce93d8;
}
.active-purple-3 input[type=text] {
border: 1px solid #ce93d8;
box-shadow: 0 0 0 1px #ce93d8;
}
.active-cyan-4 input[type=text]:focus:not([readonly]) {
border: 1px solid #4dd0e1;
box-shadow: 0 0 0 1px #4dd0e1;
}
.active-cyan-3 input[type=text] {
border: 1px solid #4dd0e1;
box-shadow: 0 0 0 1px #4dd0e1;
}
.active-cyan-3 .fa, .active-cyan-4 .fa {
color: #4dd0e1;
}
.active-purple-3 .fa, .active-purple-4 .fa {
color: #ce93d8;
}
.active-pink-3 .fa, .active-pink-4 .fa {
color: #f48fb1;
}
Search with input group
import React from "react";
import { MDBContainer, MDBIcon } from "mdbreact";
import "./index.css"
const SearchPage = () => {
return (
<MDBContainer>
<div className="input-group md-form form-sm form-1 pl-0">
<div className="input-group-prepend">
<span className="input-group-text purple lighten-3" id="basic-text1">
<MDBIcon icon="search" className="text-grey" />
</span>
</div>
<input className="form-control my-0 py-1" type="text" placeholder="Search" aria-label="Search" />
</div>
<div className="input-group md-form form-sm form-1 pl-0">
<div className="input-group-prepend">
<span className="input-group-text cyan lighten-2" id="basic-text1">
<MDBIcon icon="search" className="text-grey" />
</span>
</div>
<input className="form-control my-0 py-1" type="text" placeholder="Search" aria-label="Search" />
</div>
<div className="input-group md-form form-sm form-1 pl-0">
<div className="input-group-prepend">
<span className="input-group-text pink lighten-3" id="basic-text1">
<MDBIcon icon="search" className="text-grey" />
</span>
</div>
<input className="form-control my-0 py-1" type="text" placeholder="Search" aria-label="Search" />
</div>
<div className="input-group md-form form-sm form-2 pl-0">
<input className="form-control my-0 py-1 amber-border" type="text" placeholder="Search" aria-label="Search" />
<div className="input-group-append">
<span className="input-group-text amber lighten-3" id="basic-text1">
<MDBIcon icon="search" className="text-grey" />
</span>
</div>
</div>
<div className="input-group md-form form-sm form-2 pl-0">
<input className="form-control my-0 py-1 lime-border" type="text" placeholder="Search" aria-label="Search" />
<div className="input-group-append">
<span className="input-group-text lime lighten-2" id="basic-text1">
<MDBIcon icon="search" className="text-grey" />
</span>
</div>
</div>
<div className="input-group md-form form-sm form-2 pl-0">
<input className="form-control my-0 py-1 red-border" type="text" placeholder="Search" aria-label="Search" />
<div className="input-group-append">
<span className="input-group-text red lighten-3" id="basic-text1">
<MDBIcon icon="search" className="text-grey" />
</span>
</div>
</div>
</MDBContainer>
);
}
export default SearchPage;
.input-group.md-form.form-sm.form-1 input{
border: 1px solid #bdbdbd;
border-top-right-radius: 0.25rem;
border-bottom-right-radius: 0.25rem;
}
.input-group.md-form.form-sm.form-2 input {
border: 1px solid #bdbdbd;
border-top-left-radius: 0.25rem;
border-bottom-left-radius: 0.25rem;
}
.input-group.md-form.form-sm.form-2 input.red-border {
border: 1px solid #ef9a9a;
}
.input-group.md-form.form-sm.form-2 input.lime-border {
border: 1px solid #cddc39;
}
.input-group.md-form.form-sm.form-2 input.amber-border {
border: 1px solid #ffca28;
}

Search

Vue Bootstrap 5 Search component

The search box is an UI element prepared for creating search engines. Its most important element is search input, but it can also contain icons or buttons. It is also adjusted to be used in various other components such as navbar, dropdown, table, select, sidenav and many more.


Basic example

A basic example with a simple button.

        
            
          <template>
            <MDBInput
              v-model="search1"
              inputGroup
              :formOutline="false"
              wrapperClass="mb-3"
              placeholder="Search"
              aria-label="Search"
              aria-describedby="button-addon2"
            >
              <MDBBtn color="primary">
                <MDBIcon icon="search" />
              </MDBBtn>
            </MDBInput>
          </template>
        
        
    
        
            
          <script>
            import { MDBInput, MDBBtn, MDBIcon } from 'mdb-vue-ui-kit';
            import { ref } from 'vue';

            export default {
              components: {
                MDBInput,
                MDBBtn, 
                MDBIcon
              },
              setup() {
                const search1 = ref('');

                return {
                  search1,
                };
              },
            };
          </script>
        
        
    
        
            
          <script setup lang="ts">
            import { MDBInput, MDBBtn, MDBIcon } from 'mdb-vue-ui-kit';
            import { ref } from 'vue';

            const search1 = ref('');
          </script>
        
        
    

Variations

Search comes with plenty of variations. Choose from the following as needed:

  • Search with icon
  • Search with button
  • Search without additional elements

Search with icon

See all the available icons in the Icons Docs.

        
            
              <template>
                <MDBInput
                  v-model="search2"
                  inputGroup
                  :formOutline="false"
                  wrapperClass="mb-3"
                  placeholder="Search"
                  aria-label="Search"
                  aria-describedby="button-addon2"
                >
                  <MDBIcon icon="search" class="align-self-center ms-2" />
                </MDBInput>
              </template>
            
        
    
        
            
              <script>
                import { MDBInput, MDBIcon } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';
    
                export default {
                  components: {
                    MDBInput,
                    MDBIcon
                  },
                  setup() {
                    const search2 = ref('');
    
                    return {
                      search2,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBInput, MDBIcon } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';
    
                const search2 = ref('');
              </script>
            
        
    

Search with button

See all the possible input combinations in the Input Group Docs.

        
            
              <template>
                <MDBInput
                  v-model="search3"
                  inputGroup
                  :formOutline="false"
                  wrapperClass="mb-3"
                  placeholder="Search"
                  aria-label="Search"
                  aria-describedby="button-addon2"
                >
                  <MDBBtn outline="primary">Search</MDBBtn>
                </MDBInput>
              </template>
            
        
    
        
            
              <script>
                import { MDBInput, MDBBtn } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                export default {
                  components: {
                    MDBInput,
                    MDBBtn, 
                  },
                  setup() {
                    const search3 = ref('');

                    return {
                      search3,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBInput, MDBBtn, MDBIcon } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                const search3 = ref('');
              </script>
            
        
    

Search without additional elements

Here is an example of how you can make a search component without any element attached:

        
            
              <template>
                <MDBInput
                  v-model="search4"
                  :formOutline="false"
                  placeholder="Type query"
                  aria-label="Type query"
                  aria-describedby="button-addon2"
                />
              </template>
            
        
    
        
            
              <script>
                import { MDBInput } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                export default {
                  components: {
                    MDBInput,
                  },
                  setup() {
                    const search4 = ref('');

                    return {
                      search4,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBInput } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                const search4 = ref('');
              </script>
            
        
    

Search event

Here is example how you can make search component with event on it which will fire after clicking on search button.

        
            
            <template>
              <MDBInput
                inputGroup
                :formOutline="false"
                wrapperClass="mb-3"
                v-model="search5"
                placeholder="Search"
                aria-label="Search"
              >
                <MDBBtn color="primary" @click="showAlert">
                  <MDBIcon icon="search" />
                </MDBBtn>
              </MDBInput>
            </template>
          
        
    
        
            
            <script>
              import { MDBInput, MDBBtn, MDBIcon } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              export default {
                components: {
                  MDBInput,
                  MDBBtn,
                  MDBIcon,
                },
                setup() {
                  const search5 = ref('');
                  const showAlert = () => alert(search5.value);

                  return {
                    search5,
                    showAlert,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script>
              import { MDBInput, MDBBtn, MDBIcon } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const search5 = ref('');
              const showAlert = () => alert(search5.value);
            </script>
          
        
    

Autocomplete

By adding extra JS code you can make your search input autocomplete as well.

Learn more about Autocomplete in the Autocomplete Docs

        
            
              <template>
                <MDBAutocomplete
                  v-model="autocompleteBasic1"
                  :filter="filterBasic1"
                  label="Search"
                >
                </MDBAutocomplete>
                <MDBBtn color="primary">
                  <MDBIcon icon="search" />
                </MDBBtn>
              </template>
            
        
    
        
            
              <script>
                import { MDBAutocomplete, MDBBtn, MDBIcon } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                export default {
                  components: {
                    MDBAutocomplete,
                    MDBBtn,
                    MDBIcon,
                  },
                  setup() {
                    const optionsBasic = ref(["One", "Two", "Three", "Four", "Five"]);
                    const autocompleteBasic1 = ref('');
                    const filterBasic1 = (value: string) => {
                      return optionsBasic.value.filter((item) => {
                        return item.toLowerCase().startsWith(value.toLowerCase());
                      });
                    };

                    return {
                      autocompleteBasic1,
                      filterBasic1,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBAutocomplete, MDBBtn, MDBIcon } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                const optionsBasic = ref(["One", "Two", "Three", "Four", "Five"]);
                const autocompleteBasic1 = ref('');
                const filterBasic1 = (value: string) => {
                  return optionsBasic.value.filter((item) => {
                    return item.toLowerCase().startsWith(value.toLowerCase());
                  });
                };
              </script>
            
        
    

Navbar

Search is easily integrated with plenty of our components such as navbar.

Learn more about Navbar in the Navbar Docs

        
            
              <template>
                <MDBNavbar expand="lg" bg="body-tertiary" container>
                  <MDBNavbarBrand href="#">Brand</MDBNavbarBrand>
                  <MDBNavbarToggler
                    target="#navbarSupportedContent"
                    @click="collapse1 = !collapse1"
                  ></MDBNavbarToggler>
                  <MDBCollapse id="navbarSupportedContent" v-model="collapse1">
                    <MDBNavbarNav class="mb-2 mb-lg-0">
                      <MDBNavbarItem to="#" active> Home </MDBNavbarItem>
                      <MDBNavbarItem href="#"> Link </MDBNavbarItem>
                      <MDBNavbarItem>
                        <!-- Navbar dropdown -->
                        <MDBDropdown v-model="dropdown1" class="nav-item">
                          <MDBDropdownToggle
                            tag="a"
                            class="nav-link"
                            @click="dropdown1 = !dropdown1"
                            >Dropdown</MDBDropdownToggle
                          >
                          <MDBDropdownMenu aria-labelledby="dropdownMenuButton">
                            <MDBDropdownItem href="#">Action</MDBDropdownItem>
                            <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                            <MDBDropdownItem href="#"
                              >Something else here</MDBDropdownItem
                            >
                          </MDBDropdownMenu>
                        </MDBDropdown>
                      </MDBNavbarItem>
                      <MDBNavbarItem to="#" disabled> Disabled </MDBNavbarItem>
                    </MDBNavbarNav>
                    <!-- Search form -->
                    <form class="d-flex input-group w-auto">
                      <MDBAutocomplete
                        v-model="autocompleteBasic2"
                        :filter="filterBasic2"
                        label="Search"
                      />
                      <MDBBtn outline="primary"> Search </MDBBtn>
                    </form>
                  </MDBCollapse>
                </MDBNavbar>
              </template>
            
        
    
        
            
              <script>
                import {
                  MDBAutocomplete,
                  MDBBtn,
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem,
                  MDBNavbar,
                  MDBNavbarBrand,
                  MDBNavbarToggler,
                  MDBCollapse,
                  MDBNavbarNav,
                  MDBNavbarItem,
                } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                export default {
                  components: {
                    MDBAutocomplete,
                    MDBBtn,
                    MDBDropdown,
                    MDBDropdownToggle,
                    MDBDropdownMenu,
                    MDBDropdownItem,
                    MDBNavbar,
                    MDBNavbarBrand,
                    MDBNavbarToggler,
                    MDBCollapse,
                    MDBNavbarNav,
                    MDBNavbarItem,
                  },
                  setup() {
                    const collapse1 = ref(false);
                    const dropdown1 = ref(false);
                    const optionsBasic = ref(["One", "Two", "Three", "Four", "Five"]);
                    const autocompleteBasic2 = ref('');
                    const filterBasic2 = (value: string) => {
                      return optionsBasic.value.filter((item) => {
                        return item.toLowerCase().startsWith(value.toLowerCase());
                      });
                    };

                    return {
                      collapse1,
                      dropdown1,
                      autocompleteBasic2,
                      filterBasic2,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import {
                  MDBAutocomplete,
                  MDBBtn,
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem,
                  MDBNavbar,
                  MDBNavbarBrand,
                  MDBNavbarToggler,
                  MDBCollapse,
                  MDBNavbarNav,
                  MDBNavbarItem,
                } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                const collapse1 = ref(false);
                const dropdown1 = ref(false);
                const optionsBasic = ref(["One", "Two", "Three", "Four", "Five"]);
                const autocompleteBasic2 = ref('');
                const filterBasic2 = (value: string) => {
                  return optionsBasic.value.filter((item) => {
                    return item.toLowerCase().startsWith(value.toLowerCase());
                  });
                };
              </script>
            
        
    

Dropdown

Moreover, you can integrate our search with dropdown component

Learn more about Dropdowns in the Dropdowns Docs

        
            
            <template>
              <MDBDropdown v-model="dropdown2">
                <MDBDropdownToggle @click="dropdown2 = !dropdown2">
                  Dropdown
                </MDBDropdownToggle>
                <MDBDropdownMenu filter>
                  <MDBDropdownItem divider />
                  <MDBDropdownItem href="#">Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBDropdown,
                MDBDropdownToggle,
                MDBDropdownMenu,
                MDBDropdownItem,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              export default {
                components: {
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem,
                },
                setup() {
                  const dropdown2 = ref(false);

                  return {
                    dropdown2,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBDropdown,
                MDBDropdownToggle,
                MDBDropdownMenu,
                MDBDropdownItem,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const dropdown2 = ref(false);
            </script>
          
        
    

Datatable

It works perfectly with MDB datatables.

Learn more about Datatables in the Datatables Docs

        
            
              <template>
                <MDBInput class="mb-4" v-model="search7" />
                <MDBDatatable :dataset="dataset" :search="search7" />
              </template>
            
        
    
        
            
              <script>
                import { MDBInput, MDBDatatable } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                export default {
                  components: {
                    MDBInput,
                    MDBDatatable,
                  },
                  setup() {
                    const search7 = ref('');
                    const dataset = {
                      columns: ["Name", "Position", "Office", "Age", "Start date", "Salary"],
                      rows: [
                        [
                          "Tiger Nixon",
                          "System Architect",
                          "Edinburgh",
                          "61",
                          "2011/04/25",
                          "$320,800",
                        ],
                        ["Garrett Winters", "Accountant", "Tokyo", "63", "2011/07/25", "$170,750"],
                        [
                          "Ashton Cox",
                          "Junior Technical Author",
                          "San Francisco",
                          "66",
                          "2009/01/12",
                          "$86,000",
                        ],
                        [
                          "Cedric Kelly",
                          "Senior Javascript Developer",
                          "Edinburgh",
                          "22",
                          "2012/03/29",
                          "$433,060",
                        ],
                        ["Airi Satou", "Accountant", "Tokyo", "33", "2008/11/28", "$162,700"],
                        [
                          "Brielle Williamson",
                          "Integration Specialist",
                          "New York",
                          "61",
                          "2012/12/02",
                          "$372,000",
                        ],
                        [
                          "Herrod Chandler",
                          "Sales Assistant",
                          "San Francisco",
                          "59",
                          "2012/08/06",
                          "$137,500",
                        ],
                        [
                          "Rhona Davidson",
                          "Integration Specialist",
                          "Tokyo",
                          "55",
                          "2010/10/14",
                          "$327,900",
                        ],
                        [
                          "Colleen Hurst",
                          "Javascript Developer",
                          "San Francisco",
                          "39",
                          "2009/09/15",
                          "$205,500",
                        ],
                        [
                          "Sonya Frost",
                          "Software Engineer",
                          "Edinburgh",
                          "23",
                          "2008/12/13",
                          "$103,600",
                        ],
                        ["Jena Gaines", "Office Manager", "London", "30", "2008/12/19", "$90,560"],
                        [
                          "Quinn Flynn",
                          "Support Lead",
                          "Edinburgh",
                          "22",
                          "2013/03/03",
                          "$342,000",
                        ],
                        [
                          "Charde Marshall",
                          "Regional Director",
                          "San Francisco",
                          "36",
                          "2008/10/16",
                          "$470,600",
                        ],
                        [
                          "Haley Kennedy",
                          "Senior Marketing Designer",
                          "London",
                          "43",
                          "2012/12/18",
                          "$313,500",
                        ],
                      ],
                    };

                    return {
                      search7,
                      dataset,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBInput, MDBDatatable } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                const search7 = ref('');
                const dataset = {
                  columns: ["Name", "Position", "Office", "Age", "Start date", "Salary"],
                  rows: [
                    [
                      "Tiger Nixon",
                      "System Architect",
                      "Edinburgh",
                      "61",
                      "2011/04/25",
                      "$320,800",
                    ],
                    ["Garrett Winters", "Accountant", "Tokyo", "63", "2011/07/25", "$170,750"],
                    [
                      "Ashton Cox",
                      "Junior Technical Author",
                      "San Francisco",
                      "66",
                      "2009/01/12",
                      "$86,000",
                    ],
                    [
                      "Cedric Kelly",
                      "Senior Javascript Developer",
                      "Edinburgh",
                      "22",
                      "2012/03/29",
                      "$433,060",
                    ],
                    ["Airi Satou", "Accountant", "Tokyo", "33", "2008/11/28", "$162,700"],
                    [
                      "Brielle Williamson",
                      "Integration Specialist",
                      "New York",
                      "61",
                      "2012/12/02",
                      "$372,000",
                    ],
                    [
                      "Herrod Chandler",
                      "Sales Assistant",
                      "San Francisco",
                      "59",
                      "2012/08/06",
                      "$137,500",
                    ],
                    [
                      "Rhona Davidson",
                      "Integration Specialist",
                      "Tokyo",
                      "55",
                      "2010/10/14",
                      "$327,900",
                    ],
                    [
                      "Colleen Hurst",
                      "Javascript Developer",
                      "San Francisco",
                      "39",
                      "2009/09/15",
                      "$205,500",
                    ],
                    [
                      "Sonya Frost",
                      "Software Engineer",
                      "Edinburgh",
                      "23",
                      "2008/12/13",
                      "$103,600",
                    ],
                    ["Jena Gaines", "Office Manager", "London", "30", "2008/12/19", "$90,560"],
                    [
                      "Quinn Flynn",
                      "Support Lead",
                      "Edinburgh",
                      "22",
                      "2013/03/03",
                      "$342,000",
                    ],
                    [
                      "Charde Marshall",
                      "Regional Director",
                      "San Francisco",
                      "36",
                      "2008/10/16",
                      "$470,600",
                    ],
                    [
                      "Haley Kennedy",
                      "Senior Marketing Designer",
                      "London",
                      "43",
                      "2012/12/18",
                      "$313,500",
                    ],
                  ],
                };
              </script>
            
        
    

Select

You can also find search option in select input by adding to select attribute data-mdb-filter="true"

Learn more about Select in the Select Docs

        
            
            <template>
              <MDBSelect v-model:options="options" filter />
            </template>
          
        
    
        
            
            <script>
              import { MDBSelect } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              export default {
                components: {
                  MDBSelect,
                },
                setup() {
                  const options = ref([
                    { text: "One", value: 1 },
                    { text: "Two", value: 2 },
                    { text: "Three", value: 3 },
                    { text: "Four", value: 4 },
                    { text: "Five", value: 5 },
                    { text: "Six", value: 6 },
                    { text: "Seven", value: 7 },
                    { text: "Eight", value: 8 },
                    { text: "Nine", value: 9 },
                    { text: "Ten", value: 10 },
                  ]);

                  return {
                    options,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBSelect } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const options = ref([
                { text: "One", value: 1 },
                { text: "Two", value: 2 },
                { text: "Three", value: 3 },
                { text: "Four", value: 4 },
                { text: "Five", value: 5 },
                { text: "Six", value: 6 },
                { text: "Seven", value: 7 },
                { text: "Eight", value: 8 },
                { text: "Nine", value: 9 },
                { text: "Ten", value: 10 },
              ]);
            </script>
          
        
    

Sidenav

You can create your own search in sidenav. Look in to example below.

Learn more about Sidenav in the Sidenav Docs

        
            
              <template>
                <!-- Sidenav-->
                <MDBSideNav
                  v-model="sidenavScroll"
                  id="sidenavScroll"
                >
                  <div class="text-center">
                    <h3 class="py-4">Examples</h3>
                    <hr class="m-0" />
                  </div>
                  <MDBSideNavMenu scrollContainer filter>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                        <span>Link 1</span>
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                        <span>Link 2</span>
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                        <span>Link 3</span>
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                        <span>Link 4</span>
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                        <span>Link 5</span>
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                        <span>Link 6</span>
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                        <span>Link 7</span>
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                        <span>Link 8</span>
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavMenu>
                  <div class="text-center" style="min-height: 3rem">
                    <hr class="mt-0 mb-2" />
                    <small>mdbootstrap.com</small>
                  </div>
                </MDBSideNav>
                <!-- Sidenav-->
              </template>
            
        
    
        
            
              <script>
                import {
                  MDBSideNav,
                  MDBSideNavMenu,
                  MDBSideNavItem,
                  MDBSideNavLink,
                  MDBIcon,
                } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                export default {
                  components: {
                    MDBSideNav,
                    MDBSideNavMenu,
                    MDBSideNavItem,
                    MDBSideNavLink,
                    MDBIcon,
                  },
                  setup() {
                    const sidenavScroll = ref(false);

                    return {
                      sidenavScroll,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import {
                  MDBSideNav,
                  MDBSideNavMenu,
                  MDBSideNavItem,
                  MDBSideNavLink,
                  MDBIcon,
                } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';

                const sidenavScroll = ref(true);
              </script>
            
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!